View Issue Details

IDProjectCategoryView StatusLast Update
0000544Far Manager 1.7xFolder Shortcutspublic2009-11-03 22:14
ReporterCavalerAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.75 
Summary0000544: Не восстанавливается путь при открытии плагинов через Folder Shortcut
DescriptionЕсли в Folder Shortcut добавить путь в панели плагина, то при вызове этого шортката путь не восстанавливается.
Вызов SetDirectory() не приходит.
TagsNo tags attached.
Build2412

Activities

HaRT

2008-06-04 07:09

reporter   bugnote:0001536

Имеется в виду добавление пути по Ins в меню Folder shortcuts, когда панель плагина открыта в нужной папке.

samlyukov

2008-07-08 09:45

reporter   bugnote:0001664

а можно подробнее? захожу в архив. добавляю путь в шорткаты. выхожу из архива. жму шорткат - нахожусь в архиве. все как и обещали. что не так?

HaRT

2008-07-08 16:09

reporter   bugnote:0001666

Подробнее (у меня сборка 2368, у Cavaler'а на тот момент 2345):
1. Открываем плагин Registry browser - открывается.
2. Переходим в нём в какую-нибудь некорневую папку - переходится.
3. Заносим её в Folder shortcut (с помощью Ins) - заносится.
4. Переходим в реестре в какую-нибудь другую некорневую папку - переходится.
5. Возвращаемся на локальную папку - возвращается.
6. Пытаемся перейти по тому Folder shortcut - переходит в последнюю посещённую папку реестра вместо правильной.

DrKnS

2008-07-09 00:36

administrator   bugnote:0001667

Для архивов оно работает из-за того, что вызов "плагина с хостфайлом" (MA) несколько отличается от вызова "плагина без хостфайла" (RegBrowser).
Похоже, в PluginsSet::CallPlugin забыли про OPEN_SHORTCUT.

HaRT

2008-07-25 13:53

reporter   bugnote:0001688

Да и для архивов оно работает как-то странно (1.71 alpha CvtNameToReal based on build 2411):
1. Зашёл в папку в архиве 7-Zip'ом, создал `folder shortcut':
[HKEY_CURRENT_USER\Software\Far\FolderShortcuts]
"PluginData7"=""
"PluginFile7"="C:\\Program Files\\Far\\Plugins\\Colorer\\hrc\\common.jar"
"PluginModule7"="C:\\Program Files\\Far\\Plugins\\7-Zip\\7-ZipFar.dll"
"Shortcut7"="\\db"

2. Выхожу в корень архива, выхожу из плагина. Нажимаю RCtrl7 - попадаю в нужную папку, НО открытую не 7-Zip'ом, а MultiArc'ом. 8-[

vskirdin

2008-08-19 10:49

administrator   bugnote:0001744

а как себя ведет http://ifolder.ru/7727837
?

HaRT

2008-08-19 11:19

reporter   bugnote:0001745

> а как себя ведет http://ifolder.ru/7727837
С Registry browser'ом теперь работает, как ожидалось.
Но в архив по-прежнему входит MultIArc'ом вместо 7-Zip'а (у последнего "[ ] Plugin is used by default").

samlyukov

2008-08-19 11:24

reporter   bugnote:0001746

забавное уточнение в скобках :)

HaRT

2008-08-19 11:27

reporter   bugnote:0001747

> забавное уточнение в скобках
Прошу заметить, что тут чётко указано, в панели какого плагина была создана ссылка на папку: http://bugs.farmanager.com/view.php?id=544#c1688

samlyukov

2008-08-19 11:28

reporter   bugnote:0001748

а если его сделать by default?

HaRT

2008-08-19 11:35

reporter   bugnote:0001749

> а если его сделать by default?
Тогда войдёт 7-Zip'ом, что и неудивительно.
Но это не отменяет ошибку и не является логичным поведением.
Ведь MultiArc и 7-Zip — два независимых плагина, лишь по совпадению играющих сходную роль.

samlyukov

2008-08-19 11:38

reporter   bugnote:0001750

вопрос был для получения полной картины...

2008-08-20 03:58

 

FStd_trap.log (4,211 bytes)

HaRT

2008-08-20 03:58

reporter   bugnote:0001752

> а как себя ведет http://ifolder.ru/7727837
Он падает при вызове "far:edit ИмяФайла" и "far:edit < КомандаПрограмма".
FStd_trap.log прилагается.

vskirdin

2008-08-20 05:30

administrator   bugnote:0001754

Уточненице: падает все таки плагин, а не ФАР - а это уже другая история, страна

vskirdin

2008-08-20 06:18

administrator   bugnote:0001755

не, брешут люди, ФАР все же виноват...
вот это пробуем: http://ifolder.ru/7785075

vskirdin

2009-02-24 16:47

administrator   bugnote:0002564

ЭТО еще актуально?

chupakabra

2009-02-24 16:57

developer   bugnote:0002566

В Far 2 работает.

HaRT

2009-02-26 17:51

reporter   bugnote:0002616

С плагинами без хост-файла (например, FarReg) теперь работает, как и ожидается.
С архивными же плагинами (7-Zip, MultiArc) по-прежнему работает так, как описано в 0000544:0001688.

alexy

2009-11-03 22:14

administrator   bugnote:0004485

Закрываю. С архивными плагина проблема немного другая и требует новый тикет.

Issue History

Date Modified Username Field Change
2008-06-04 06:33 Cavaler New Issue
2008-06-04 07:09 HaRT Note Added: 0001536
2008-06-09 03:54 alexy Status new => assigned
2008-06-09 03:54 alexy Assigned To => alexy
2008-07-08 09:45 samlyukov Note Added: 0001664
2008-07-08 16:09 HaRT Note Added: 0001666
2008-07-09 00:36 DrKnS Note Added: 0001667
2008-07-25 13:53 HaRT Note Added: 0001688
2008-08-16 03:50 alexy Assigned To alexy => sdindikov
2008-08-19 10:49 vskirdin Note Added: 0001744
2008-08-19 11:19 HaRT Note Added: 0001745
2008-08-19 11:24 samlyukov Note Added: 0001746
2008-08-19 11:27 HaRT Note Added: 0001747
2008-08-19 11:28 samlyukov Note Added: 0001748
2008-08-19 11:35 HaRT Note Added: 0001749
2008-08-19 11:38 samlyukov Note Added: 0001750
2008-08-20 03:58 HaRT File Added: FStd_trap.log
2008-08-20 03:58 HaRT Note Added: 0001752
2008-08-20 05:30 vskirdin Note Added: 0001754
2008-08-20 06:18 vskirdin Note Added: 0001755
2009-02-19 22:18 alexy Assigned To sdindikov => vskirdin
2009-02-24 16:47 vskirdin Note Added: 0002564
2009-02-24 16:47 vskirdin Status assigned => feedback
2009-02-24 16:57 chupakabra Note Added: 0002566
2009-02-26 17:51 HaRT Note Added: 0002616
2009-11-03 22:14 alexy Build => 2412
2009-11-03 22:14 alexy Note Added: 0004485
2009-11-03 22:14 alexy Status feedback => closed
2009-11-03 22:14 alexy Fixed in Version => 1.75
2009-11-03 22:14 alexy Resolution open => fixed